import { MigrationInterface, QueryRunner } from "typeorm";

export class AddTableWorkflow71729055668134 implements MigrationInterface {
    name = 'AddTableWorkflow71729055668134'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`workflow\` ADD \`refId\` varchar(255) NULL COMMENT 'refIdw'`);
        await queryRunner.query(`ALTER TABLE \`workflow\` ADD \`system\` varchar(255) NULL COMMENT 'system'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`workflow\` DROP COLUMN \`system\``);
        await queryRunner.query(`ALTER TABLE \`workflow\` DROP COLUMN \`refId\``);
    }

}
